Bug 1344511 - Upgrade of docker from 1.9 to 1.10 loses image metadata
Summary: Upgrade of docker from 1.9 to 1.10 loses image metadata
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Antonio Murdaca
QA Contact: atomic-bugs@redhat.com
Yoana Ruseva
URL:
Whiteboard:
Keywords: Extras, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-09 20:31 UTC by David Darrah/Red Hat QE
Modified: 2019-03-06 02:41 UTC (History)
6 users (show)

(edit)
Upgrade of docker from 1.9 to 1.10 loses image metadata

Under certain circumstances, upgrading from docker 1.9 to docker 1.10 can result in a loss of docker image tag metadata. The underlying image layers remain intact and can be seen by running "docker images -a". The metadata can be recovered, if it is present on a remote registry by simply re-running "docker pull". This command will restore the metadata while avoiding a transfer of the already existing layer data.
Clone Of:
(edit)
Last Closed: 2016-08-19 12:47:32 UTC


Attachments (Terms of Use)

Comment 2 Daniel Walsh 2016-06-10 13:07:32 UTC
Antonio can you check this out and see if it is our patches causing the problem?

Comment 3 David Darrah/Red Hat QE 2016-06-10 13:30:53 UTC
-reverted to docker 1.9, stopped docker daemon, deleted both /var/lib/docker/* and /var/lib/docker-latest/* to clear out everything.

-pulled images again

-ran the yum upgrade

This time instead of the 3 images I started with before the upgrade, I only had 1 listed by docker 1.10

[root@docker110 ~]# yum history undo 15
Loaded plugins: search-disabled-repos
Undoing transaction 15, from Thu Jun  9 15:10:47 2016
    Updated     docker-1.9.1-40.el7.x86_64                   @rhel-7-server-extras-rpms
    Update             1.10.3-37.el7.x86_64                  @Docker-Internal-Extras-Repository-2
    Updated     docker-common-1.9.1-40.el7.x86_64            @rhel-7-server-extras-rpms
    Update                    1.10.3-37.el7.x86_64           @Docker-Internal-Extras-Repository-2
    Updated     docker-forward-journald-1.9.1-40.el7.x86_64  @rhel-7-server-extras-rpms
    Update                              1.10.3-37.el7.x86_64 @Docker-Internal-Extras-Repository-2
    Updated     docker-latest-1.10.3-22.el7.x86_64           @rhel-7-server-extras-rpms
    Update                    1.10.3-37.el7.x86_64           @Docker-Internal-Extras-Repository-2
    Updated     docker-rhel-push-plugin-1.10.3-22.el7.x86_64 @rhel-7-server-extras-rpms
    Update                              1.10.3-37.el7.x86_64 @Docker-Internal-Extras-Repository-2
    Updated     docker-selinux-1.9.1-40.el7.x86_64           @rhel-7-server-extras-rpms
    Update                     1.10.3-37.el7.x86_64          @Docker-Internal-Extras-Repository-2
    Dep-Install oci-register-machine-1.10.3-37.el7.x86_64    @Docker-Internal-Extras-Repository-2
    Dep-Install oci-systemd-hook-1.10.3-37.el7.x86_64        @Docker-Internal-Extras-Repository-2
    Dep-Install yajl-2.0.4-4.el7.x86_64                      @rhel-7-server-rpms
Docker-Internal-Extras-Repository-2                                                                                                                                                                                                | 3.6 kB  00:00:00     
https://cdn.stage.redhat.com/content/eus/rhel/server/7/7Server/x86_64/sap/os/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
To address this issue please refer to the below knowledge base article 

https://access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please open a ticket with Red Hat Support.

Docker-Internal-Extras-Repository-2/x86_64/primary_db                                                                                                                                                                              |  40 kB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package docker.x86_64 0:1.9.1-40.el7 will be a downgrade
---> Package docker.x86_64 0:1.10.3-37.el7 will be erased
---> Package docker-common.x86_64 0:1.9.1-40.el7 will be a downgrade
---> Package docker-common.x86_64 0:1.10.3-37.el7 will be erased
---> Package docker-forward-journald.x86_64 0:1.9.1-40.el7 will be a downgrade
---> Package docker-forward-journald.x86_64 0:1.10.3-37.el7 will be erased
---> Package docker-latest.x86_64 0:1.10.3-22.el7 will be a downgrade
---> Package docker-latest.x86_64 0:1.10.3-37.el7 will be erased
---> Package docker-rhel-push-plugin.x86_64 0:1.10.3-22.el7 will be a downgrade
---> Package docker-rhel-push-plugin.x86_64 0:1.10.3-37.el7 will be erased
---> Package docker-selinux.x86_64 0:1.9.1-40.el7 will be a downgrade
---> Package docker-selinux.x86_64 0:1.10.3-37.el7 will be erased
---> Package oci-register-machine.x86_64 0:1.10.3-37.el7 will be erased
---> Package oci-systemd-hook.x86_64 0:1.10.3-37.el7 will be erased
---> Package yajl.x86_64 0:2.0.4-4.el7 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================================================================================================================================================
 Package                                                         Arch                                           Version                                                Repository                                                                    Size
==========================================================================================================================================================================================================================================================
Removing:
 oci-register-machine                                            x86_64                                         1.10.3-37.el7                                          @Docker-Internal-Extras-Repository-2                                         4.2 M
 oci-systemd-hook                                                x86_64                                         1.10.3-37.el7                                          @Docker-Internal-Extras-Repository-2                                         129 k
 yajl                                                            x86_64                                         2.0.4-4.el7                                            @rhel-7-server-rpms                                                          114 k
Downgrading:
 docker                                                          x86_64                                         1.9.1-40.el7                                           rhel-7-server-extras-rpms                                                    7.8 M
 docker-common                                                   x86_64                                         1.9.1-40.el7                                           rhel-7-server-extras-rpms                                                     55 k
 docker-forward-journald                                         x86_64                                         1.9.1-40.el7                                           rhel-7-server-extras-rpms                                                    827 k
 docker-latest                                                   x86_64                                         1.10.3-22.el7                                          rhel-7-server-extras-rpms                                                    8.6 M
 docker-rhel-push-plugin                                         x86_64                                         1.10.3-22.el7                                          rhel-7-server-extras-rpms                                                    1.9 M
 docker-selinux                                                  x86_64                                         1.9.1-40.el7                                           rhel-7-server-extras-rpms                                                     73 k

Transaction Summary
==========================================================================================================================================================================================================================================================
Remove     3 Packages
Downgrade  6 Packages

Total download size: 19 M
Is this ok [y/d/N]: y
Downloading packages:
(1/6): docker-common-1.9.1-40.el7.x86_64.rpm                                                                                                                                                                                       |  55 kB  00:00:01     
(2/6): docker-forward-journald-1.9.1-40.el7.x86_64.rpm                                                                                                                                                                             | 827 kB  00:00:02     
(3/6): docker-1.9.1-40.el7.x86_64.rpm                                                                                                                                                                                              | 7.8 MB  00:00:16     
(4/6): docker-rhel-push-plugin-1.10.3-22.el7.x86_64.rpm                                                                                                                                                                            | 1.9 MB  00:00:04     
(5/6): docker-latest-1.10.3-22.el7.x86_64.rpm                                                                                                                                                                                      | 8.6 MB  00:00:17     
(6/6): docker-selinux-1.9.1-40.el7.x86_64.rpm                                                                                                                                                                                      |  73 kB  00:00:00     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                                     902 kB/s |  19 MB  00:00:21     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : docker-forward-journald-1.9.1-40.el7.x86_64                                                                                                                                                                                           1/15 
  Installing : docker-selinux-1.9.1-40.el7.x86_64                                                                                                                                                                                                    2/15 
  Installing : docker-common-1.9.1-40.el7.x86_64                                                                                                                                                                                                     3/15 
  Installing : docker-rhel-push-plugin-1.10.3-22.el7.x86_64                                                                                                                                                                                          4/15 
  Installing : docker-latest-1.10.3-22.el7.x86_64                                                                                                                                                                                                    5/15 
  Installing : docker-1.9.1-40.el7.x86_64                                                                                                                                                                                                            6/15 
  Cleanup    : docker-latest-1.10.3-37.el7.x86_64                                                                                                                                                                                                    7/15 
  Cleanup    : docker-1.10.3-37.el7.x86_64                                                                                                                                                                                                           8/15 
  Erasing    : oci-systemd-hook-1.10.3-37.el7.x86_64                                                                                                                                                                                                 9/15 
  Cleanup    : docker-common-1.10.3-37.el7.x86_64                                                                                                                                                                                                   10/15 
  Cleanup    : docker-selinux-1.10.3-37.el7.x86_64                                                                                                                                                                                                  11/15 
  Erasing    : yajl-2.0.4-4.el7.x86_64                                                                                                                                                                                                              12/15 
  Cleanup    : docker-forward-journald-1.10.3-37.el7.x86_64                                                                                                                                                                                         13/15 
  Cleanup    : docker-rhel-push-plugin-1.10.3-37.el7.x86_64                                                                                                                                                                                         14/15 
  Erasing    : oci-register-machine-1.10.3-37.el7.x86_64                                                                                                                                                                                            15/15 
  Verifying  : docker-common-1.9.1-40.el7.x86_64                                                                                                                                                                                                     1/15 
  Verifying  : docker-1.9.1-40.el7.x86_64                                                                                                                                                                                                            2/15 
  Verifying  : docker-rhel-push-plugin-1.10.3-22.el7.x86_64                                                                                                                                                                                          3/15 
  Verifying  : docker-selinux-1.9.1-40.el7.x86_64                                                                                                                                                                                                    4/15 
  Verifying  : docker-forward-journald-1.9.1-40.el7.x86_64                                                                                                                                                                                           5/15 
  Verifying  : docker-latest-1.10.3-22.el7.x86_64                                                                                                                                                                                                    6/15 
  Verifying  : docker-1.10.3-37.el7.x86_64                                                                                                                                                                                                           7/15 
  Verifying  : docker-common-1.10.3-37.el7.x86_64                                                                                                                                                                                                    8/15 
  Verifying  : oci-systemd-hook-1.10.3-37.el7.x86_64                                                                                                                                                                                                 9/15 
  Verifying  : docker-latest-1.10.3-37.el7.x86_64                                                                                                                                                                                                   10/15 
  Verifying  : docker-forward-journald-1.10.3-37.el7.x86_64                                                                                                                                                                                         11/15 
  Verifying  : yajl-2.0.4-4.el7.x86_64                                                                                                                                                                                                              12/15 
  Verifying  : oci-register-machine-1.10.3-37.el7.x86_64                                                                                                                                                                                            13/15 
  Verifying  : docker-rhel-push-plugin-1.10.3-37.el7.x86_64                                                                                                                                                                                         14/15 
  Verifying  : docker-selinux-1.10.3-37.el7.x86_64                                                                                                                                                                                                  15/15 

Removed:
  docker.x86_64 0:1.10.3-37.el7                docker-common.x86_64 0:1.10.3-37.el7               docker-forward-journald.x86_64 0:1.10.3-37.el7        docker-latest.x86_64 0:1.10.3-37.el7        docker-rhel-push-plugin.x86_64 0:1.10.3-37.el7       
  docker-selinux.x86_64 0:1.10.3-37.el7        oci-register-machine.x86_64 0:1.10.3-37.el7        oci-systemd-hook.x86_64 0:1.10.3-37.el7               yajl.x86_64 0:2.0.4-4.el7                  

Installed:
  docker.x86_64 0:1.9.1-40.el7   docker-common.x86_64 0:1.9.1-40.el7   docker-forward-journald.x86_64 0:1.9.1-40.el7   docker-latest.x86_64 0:1.10.3-22.el7   docker-rhel-push-plugin.x86_64 0:1.10.3-22.el7   docker-selinux.x86_64 0:1.9.1-40.el7  

Complete!
[root@docker110 ~]# docker version
Client:
 Version:         1.9.1
 API version:     1.21
 Package version: docker-common-1.9.1-40.el7.x86_64
 Go version:      go1.4.2
 Git commit:      ab77bde/1.9.1
 Built:           
 OS/Arch:         linux/amd64

Server:
 Version:         1.9.1
 API version:     1.21
 Package version: docker-common-1.9.1-40.el7.x86_64
 Go version:      go1.4.2
 Git commit:      ab77bde/1.9.1
 Built:           
 OS/Arch:         linux/amd64
[root@docker110 ~]# systemctl stop docker
[root@docker110 lib]# cd /var/lib
[root@docker110 lib]# ls
alternatives  chrony  dbus      dnsmasq  docker-latest  gssproxy       initramfs         machines  NetworkManager  os-prober  postfix  rpcbind  rpm-state  selinux    systemd  up2date
authconfig    cloud   dhclient  docker   games          heat-cfntools  logrotate.status  misc      nfs             polkit-1   rhsm     rpm      rsyslog    stateless  tpm      yum
[root@docker110 lib]# cd docker
[root@docker110 docker]# ls
containers  devicemapper  graph  image  linkgraph.db  network  repositories-devicemapper  tmp  trust  volumes
[root@docker110 docker]# rm -rf *
[root@docker110 docker]# ls
[root@docker110 docker]# systemctl start docker
[root@docker110 docker]# ls
containers  devicemapper  graph  linkgraph.db  network  repositories-devicemapper  tmp  trust  volumes
[root@docker110 docker]# docker images
REPOSITORY          TAG                 IMAGE ID            CREATED             VIRTUAL SIZE
[root@docker110 docker]# docker pull httpd
Using default tag: latest
Trying to pull repository registry.access.redhat.com/httpd ... not found
Trying to pull repository docker.io/library/httpd ... latest: Pulling from library/httpd
23286f48d129: Pull complete 
cbee5247e891: Pull complete 
b88cfb2ab04b: Pull complete 
f6f65ab94dc8: Pull complete 
622e17bfb07d: Pull complete 
c400bf2459b2: Pull complete 
8c87d07c0fd8: Pull complete 
b02f86f012c3: Pull complete 
fade6d358f5e: Pull complete 
2882c5b19e6a: Pull complete 
9fce1c51710f: Pull complete 
6ff460a5471f: Pull complete 
6bce6ad2c6a9: Pull complete 
Digest: sha256:c89a26acb0edf2f5ef196db39837f3fc2a323ba149f966f7dbb0f0ad659cb4e1
Status: Downloaded newer image for docker.io/httpd:latest

[root@docker110 docker]# docker pull debian
Using default tag: latest
Trying to pull repository registry.access.redhat.com/debian ... not found
Trying to pull repository docker.io/library/debian ... latest: Pulling from library/debian
17bd2058e0c6: Pull complete 
f854eed3f31f: Pull complete 
Digest: sha256:ff779f80153d8220904ec3ec6016ac6dd51bcc77e217587689feffcd7acf96a0
Status: Downloaded newer image for docker.io/debian:latest
[root@docker110 docker]# docker pull registry.access.redhat.com/rhel7/rhel-tools
Using default tag: latest
7bd6bdb83046: Download complete 
c453594215e4: Download complete 
Status: Downloaded newer image for registry.access.redhat.com/rhel7/rhel-tools:latest
registry.access.redhat.com/rhel7/rhel-tools: this image was pulled from a legacy registry.  Important: This registry version will not be supported in future versions of docker.

[root@docker110 docker]# rpm -qa | grep docker
docker-selinux-1.9.1-40.el7.x86_64
docker-1.9.1-40.el7.x86_64
docker-forward-journald-1.9.1-40.el7.x86_64
docker-common-1.9.1-40.el7.x86_64
docker-latest-1.10.3-22.el7.x86_64
python-docker-py-1.7.2-1.el7.noarch
docker-rhel-push-plugin-1.10.3-22.el7.x86_64
[root@docker110 docker]# cd ..
[root@docker110 lib]# ls
alternatives  chrony  dbus      dnsmasq  docker-latest  gssproxy       initramfs         machines  NetworkManager  os-prober  postfix  rpcbind  rpm-state  selinux    systemd  up2date
authconfig    cloud   dhclient  docker   games          heat-cfntools  logrotate.status  misc      nfs             polkit-1   rhsm     rpm      rsyslog    stateless  tpm      yum
[root@docker110 lib]# cd ../docker-latest/
[root@docker110 docker-latest]# rm -rf *
[root@docker110 docker-latest]# ls
[root@docker110 docker-latest]# cd
[root@docker110 ~]# docker images
REPOSITORY                                    TAG                 IMAGE ID            CREATED             VIRTUAL SIZE
docker.io/debian                              latest              f854eed3f31f        15 hours ago        125.1 MB
docker.io/httpd                               latest              6bce6ad2c6a9        2 days ago          198.5 MB
registry.access.redhat.com/rhel7/rhel-tools   latest              7bd6bdb83046        4 weeks ago         1.275 GB
[root@docker110 ~]# docker instpect docker.io/httpd
docker: 'instpect' is not a docker command.
See 'docker --help'.
[root@docker110 ~]# docker inspect docker.io/httpd
[
{
    "Id": "6bce6ad2c6a974158db575d1a36d36d0ed05c48eacb28be36003ec56cf166d48",
    "RepoTags": [
        "docker.io/httpd:latest"
    ],
    "RepoDigests": [],
    "Parent": "6ff460a5471f03bfa707472f038e8dd152b74b3736b7674914123fab5d139d34",
    "Comment": "",
    "Created": "2016-06-07T17:56:43.869283086Z",
    "Container": "8d03df6b984866109b5d7c1f8ad89e687d572ac2a642ac7110e52ec439f22b2b",
    "ContainerConfig": {
        "Hostname": "b0cf605c7757",
        "Domainname": "",
        "User": "",
        "AttachStdin": false,
        "AttachStdout": false,
        "AttachStderr": false,
        "ExposedPorts": {
            "80/tcp": {}
        },
        "Tty": false,
        "OpenStdin": false,
        "StdinOnce": false,
        "Env": [
            "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/apache2/bin",
            "HTTPD_PREFIX=/usr/local/apache2",
            "HTTPD_VERSION=2.4.20",
            "HTTPD_BZ2_URL=https://www.apache.org/dist/httpd/httpd-2.4.20.tar.bz2"
        ],
        "Cmd": [
            "/bin/sh",
            "-c",
            "#(nop) CMD [\"httpd-foreground\"]"
        ],
        "Image": "sha256:1aa8bb407b8d24ff0022301c5877eb248f04bd294cb1cfdae740efe3f7435d71",
        "Volumes": null,
        "WorkingDir": "/usr/local/apache2",
        "Entrypoint": null,
        "OnBuild": [],
        "Labels": {}
    },
    "DockerVersion": "1.10.3",
    "Author": "",
    "Config": {
        "Hostname": "b0cf605c7757",
        "Domainname": "",
        "User": "",
        "AttachStdin": false,
        "AttachStdout": false,
        "AttachStderr": false,
        "ExposedPorts": {
            "80/tcp": {}
        },
        "Tty": false,
        "OpenStdin": false,
        "StdinOnce": false,
        "Env": [
            "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/apache2/bin",
            "HTTPD_PREFIX=/usr/local/apache2",
            "HTTPD_VERSION=2.4.20",
            "HTTPD_BZ2_URL=https://www.apache.org/dist/httpd/httpd-2.4.20.tar.bz2"
        ],
        "Cmd": [
            "httpd-foreground"
        ],
        "Image": "sha256:1aa8bb407b8d24ff0022301c5877eb248f04bd294cb1cfdae740efe3f7435d71",
        "Volumes": null,
        "WorkingDir": "/usr/local/apache2",
        "Entrypoint": null,
        "OnBuild": [],
        "Labels": {}
    },
    "Architecture": "amd64",
    "Os": "linux",
    "Size": 0,
    "VirtualSize": 198547293,
    "GraphDriver": {
        "Name": "devicemapper",
        "Data": {
            "DeviceId": "14",
            "DeviceName": "docker-253:1-8408576-6bce6ad2c6a974158db575d1a36d36d0ed05c48eacb28be36003ec56cf166d48",
            "DeviceSize": "107374182400"
        }
    }
}
]
[root@docker110 ~]# yum upgrade docker
Loaded plugins: search-disabled-repos
https://cdn.stage.redhat.com/content/eus/rhel/server/7/7Server/x86_64/sap/os/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
To address this issue please refer to the below knowledge base article 

https://access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please open a ticket with Red Hat Support.

Resolving Dependencies
--> Running transaction check
---> Package docker.x86_64 0:1.9.1-40.el7 will be updated
---> Package docker.x86_64 0:1.10.3-40.el7 will be an update
--> Processing Dependency: docker-rhel-push-plugin = 1.10.3-40.el7 for package: docker-1.10.3-40.el7.x86_64
--> Processing Dependency: docker-forward-journald = 1.10.3-40.el7 for package: docker-1.10.3-40.el7.x86_64
--> Processing Dependency: docker-common = 1.10.3-40.el7 for package: docker-1.10.3-40.el7.x86_64
--> Processing Dependency: docker-selinux >= 1.10.3-40.el7 for package: docker-1.10.3-40.el7.x86_64
--> Running transaction check
---> Package docker-common.x86_64 0:1.9.1-40.el7 will be updated
---> Package docker-common.x86_64 0:1.10.3-40.el7 will be an update
---> Package docker-forward-journald.x86_64 0:1.9.1-40.el7 will be updated
---> Package docker-forward-journald.x86_64 0:1.10.3-40.el7 will be an update
---> Package docker-rhel-push-plugin.x86_64 0:1.10.3-22.el7 will be updated
--> Processing Dependency: docker-rhel-push-plugin = 1.10.3-22.el7 for package: docker-latest-1.10.3-22.el7.x86_64
---> Package docker-rhel-push-plugin.x86_64 0:1.10.3-40.el7 will be an update
---> Package docker-selinux.x86_64 0:1.9.1-40.el7 will be updated
---> Package docker-selinux.x86_64 0:1.10.3-40.el7 will be an update
--> Running transaction check
---> Package docker-latest.x86_64 0:1.10.3-22.el7 will be updated
---> Package docker-latest.x86_64 0:1.10.3-40.el7 will be an update
--> Processing Dependency: oci-systemd-hook >= 1.10.3-40.el7 for package: docker-latest-1.10.3-40.el7.x86_64
--> Processing Dependency: oci-register-machine >= 1.10.3-40.el7 for package: docker-latest-1.10.3-40.el7.x86_64
--> Running transaction check
---> Package oci-register-machine.x86_64 0:1.10.3-40.el7 will be installed
---> Package oci-systemd-hook.x86_64 0:1.10.3-40.el7 will be installed
--> Processing Dependency: libyajl.so.2()(64bit) for package: oci-systemd-hook-1.10.3-40.el7.x86_64
--> Running transaction check
---> Package yajl.x86_64 0:2.0.4-4.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================================================================================================================================================
 Package                                                         Arch                                           Version                                                 Repository                                                                   Size
==========================================================================================================================================================================================================================================================
Updating:
 docker                                                          x86_64                                         1.10.3-40.el7                                           Docker-Internal-Extras-Repository-2                                         8.6 M
Installing for dependencies:
 oci-register-machine                                            x86_64                                         1.10.3-40.el7                                           Docker-Internal-Extras-Repository-2                                         1.0 M
 oci-systemd-hook                                                x86_64                                         1.10.3-40.el7                                           Docker-Internal-Extras-Repository-2                                          94 k
 yajl                                                            x86_64                                         2.0.4-4.el7                                             rhel-7-server-rpms                                                           39 k
Updating for dependencies:
 docker-common                                                   x86_64                                         1.10.3-40.el7                                           Docker-Internal-Extras-Repository-2                                          58 k
 docker-forward-journald                                         x86_64                                         1.10.3-40.el7                                           Docker-Internal-Extras-Repository-2                                         830 k
 docker-latest                                                   x86_64                                         1.10.3-40.el7                                           Docker-Internal-Extras-Repository-2                                         8.6 M
 docker-rhel-push-plugin                                         x86_64                                         1.10.3-40.el7                                           Docker-Internal-Extras-Repository-2                                         1.9 M
 docker-selinux                                                  x86_64                                         1.10.3-40.el7                                           Docker-Internal-Extras-Repository-2                                          75 k

Transaction Summary
==========================================================================================================================================================================================================================================================
Install             ( 3 Dependent packages)
Upgrade  1 Package  (+5 Dependent packages)

Total download size: 21 M
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/9): docker-common-1.10.3-40.el7.x86_64.rpm                                                                                                                                                                                      |  58 kB  00:00:00     
(2/9): docker-forward-journald-1.10.3-40.el7.x86_64.rpm                                                                                                                                                                            | 830 kB  00:00:01     
(3/9): docker-latest-1.10.3-40.el7.x86_64.rpm                                                                                                                                                                                      | 8.6 MB  00:00:03     
(4/9): docker-rhel-push-plugin-1.10.3-40.el7.x86_64.rpm                                                                                                                                                                            | 1.9 MB  00:00:01     
(5/9): docker-1.10.3-40.el7.x86_64.rpm                                                                                                                                                                                             | 8.6 MB  00:00:06     
(6/9): docker-selinux-1.10.3-40.el7.x86_64.rpm                                                                                                                                                                                     |  75 kB  00:00:00     
(7/9): oci-systemd-hook-1.10.3-40.el7.x86_64.rpm                                                                                                                                                                                   |  94 kB  00:00:00     
(8/9): oci-register-machine-1.10.3-40.el7.x86_64.rpm                                                                                                                                                                               | 1.0 MB  00:00:01     
(9/9): yajl-2.0.4-4.el7.x86_64.rpm                                                                                                                                                                                                 |  39 kB  00:00:01     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                                     2.9 MB/s |  21 MB  00:00:07     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : docker-rhel-push-plugin-1.10.3-40.el7.x86_64                                                                                                                                                                                          1/15 
  Updating   : docker-forward-journald-1.10.3-40.el7.x86_64                                                                                                                                                                                          2/15 
  Updating   : docker-selinux-1.10.3-40.el7.x86_64                                                                                                                                                                                                   3/15 
  Updating   : docker-common-1.10.3-40.el7.x86_64                                                                                                                                                                                                    4/15 
  Installing : oci-register-machine-1.10.3-40.el7.x86_64                                                                                                                                                                                             5/15 
  Installing : yajl-2.0.4-4.el7.x86_64                                                                                                                                                                                                               6/15 
  Installing : oci-systemd-hook-1.10.3-40.el7.x86_64                                                                                                                                                                                                 7/15 
useradd: invalid user name '%{repo}root-latest'
  Updating   : docker-latest-1.10.3-40.el7.x86_64                                                                                                                                                                                                    8/15 
  Updating   : docker-1.10.3-40.el7.x86_64                                                                                                                                                                                                           9/15 
  Cleanup    : docker-latest-1.10.3-22.el7.x86_64                                                                                                                                                                                                   10/15 
  Cleanup    : docker-1.9.1-40.el7.x86_64                                                                                                                                                                                                           11/15 
  Cleanup    : docker-common-1.9.1-40.el7.x86_64                                                                                                                                                                                                    12/15 
  Cleanup    : docker-selinux-1.9.1-40.el7.x86_64                                                                                                                                                                                                   13/15 
  Cleanup    : docker-forward-journald-1.9.1-40.el7.x86_64                                                                                                                                                                                          14/15 
  Cleanup    : docker-rhel-push-plugin-1.10.3-22.el7.x86_64                                                                                                                                                                                         15/15 
  Verifying  : docker-1.10.3-40.el7.x86_64                                                                                                                                                                                                           1/15 
  Verifying  : docker-common-1.10.3-40.el7.x86_64                                                                                                                                                                                                    2/15 
  Verifying  : docker-latest-1.10.3-40.el7.x86_64                                                                                                                                                                                                    3/15 
  Verifying  : docker-selinux-1.10.3-40.el7.x86_64                                                                                                                                                                                                   4/15 
  Verifying  : docker-forward-journald-1.10.3-40.el7.x86_64                                                                                                                                                                                          5/15 
  Verifying  : yajl-2.0.4-4.el7.x86_64                                                                                                                                                                                                               6/15 
  Verifying  : oci-register-machine-1.10.3-40.el7.x86_64                                                                                                                                                                                             7/15 
  Verifying  : oci-systemd-hook-1.10.3-40.el7.x86_64                                                                                                                                                                                                 8/15 
  Verifying  : docker-rhel-push-plugin-1.10.3-40.el7.x86_64                                                                                                                                                                                          9/15 
  Verifying  : docker-1.9.1-40.el7.x86_64                                                                                                                                                                                                           10/15 
  Verifying  : docker-rhel-push-plugin-1.10.3-22.el7.x86_64                                                                                                                                                                                         11/15 
  Verifying  : docker-selinux-1.9.1-40.el7.x86_64                                                                                                                                                                                                   12/15 
  Verifying  : docker-common-1.9.1-40.el7.x86_64                                                                                                                                                                                                    13/15 
  Verifying  : docker-forward-journald-1.9.1-40.el7.x86_64                                                                                                                                                                                          14/15 
  Verifying  : docker-latest-1.10.3-22.el7.x86_64                                                                                                                                                                                                   15/15 

Dependency Installed:
  oci-register-machine.x86_64 0:1.10.3-40.el7                                               oci-systemd-hook.x86_64 0:1.10.3-40.el7                                               yajl.x86_64 0:2.0.4-4.el7                                              

Updated:
  docker.x86_64 0:1.10.3-40.el7                                                                                                                                                                                                                           

Dependency Updated:
  docker-common.x86_64 0:1.10.3-40.el7         docker-forward-journald.x86_64 0:1.10.3-40.el7         docker-latest.x86_64 0:1.10.3-40.el7         docker-rhel-push-plugin.x86_64 0:1.10.3-40.el7         docker-selinux.x86_64 0:1.10.3-40.el7        

Complete!
[root@docker110 ~]# docker version
Client:
 Version:         1.10.3
 API version:     1.22
 Package version: docker-common-1.10.3-40.el7.x86_64
 Go version:      go1.4.2
 Git commit:      7528fb1-unsupported
 Built:           Thu Jun  9 17:13:37 2016
 OS/Arch:         linux/amd64

Server:
 Version:         1.10.3
 API version:     1.22
 Package version: docker-common-1.10.3-40.el7.x86_64
 Go version:      go1.4.2
 Git commit:      7528fb1-unsupported
 Built:           Thu Jun  9 17:13:37 2016
 OS/Arch:         linux/amd64
[root@docker110 ~]# docker images
REPOSITORY          TAG                 IMAGE ID            CREATED             SIZE
<none>              <none>              fb435671a96a        15 hours ago        125.1 MB
[root@docker110 ~]# docker images
REPOSITORY          TAG                 IMAGE ID            CREATED             SIZE
<none>              <none>              fb435671a96a        15 hours ago        125.1 MB
[root@docker110 ~]# docker images
REPOSITORY          TAG                 IMAGE ID            CREATED             SIZE
<none>              <none>              fb435671a96a        15 hours ago        125.1 MB
[root@docker110 ~]# docker images
REPOSITORY          TAG                 IMAGE ID            CREATED             SIZE
<none>              <none>              fb435671a96a        15 hours ago        125.1 MB
[root@docker110 ~]# cd /var/lib/docker
[root@docker110 docker]# ls
containers  devicemapper  graph  image  linkgraph.db  network  repositories-devicemapper  tmp  trust  volumes
[root@docker110 docker]# ls graph
17bd2058e0c6500de157d98d3acd24c2033a5e235334f6c722f27de9726f24b5  7bd6bdb8304610f590ebfd5dbab26e778d35666dc0e631d873f835bf775029e1  c453594215e4370541ba0a2a238c9429026de1d1deedf5e5b7442778e428c60f
23286f48d129813de8a7ad5c6e93ec65426c59ab556156b1073c060463f391c2  8c87d07c0fd8b1aed0cc3d4679c68d9378eeb8baf8b0530911f6c69f9a51e8c6  cbee5247e891f1c2f1bbc6900140eac0b57379c0730620b93e36b4503aa8ed84
2882c5b19e6ab7d4edeed978e366686e1bdfe30ca25899d4116e01d57ebde5db  9fce1c51710f6e0414b9bd0b712733a360dbb4ac60fe8c06b780c2decbb8166c  f6f65ab94dc88736497dbd2e7d45bc81b7890957e8d8380b250144de8bbce384
622e17bfb07df566b80bb841a80ce55eb175ee8fae02040528c62901e81ab08e  b02f86f012c339479e8657826d0488c726c5d20e72d4f0cd9769fb1e3fec7630  f854eed3f31f47134fef808751b83e208f95c4713b1de46865eb6a04d8d39a0b
6bce6ad2c6a974158db575d1a36d36d0ed05c48eacb28be36003ec56cf166d48  b88cfb2ab04b99cae2a680dc4d6df0c4b60d08ed94cf5c5054c2cc240ab5c89b  fade6d358f5efb2ffa6edbed1a0fc42069cec7bde982be83ea1c94c237d02417
6ff460a5471f03bfa707472f038e8dd152b74b3736b7674914123fab5d139d34  c400bf2459b2c3621f13ab846451436339d9007d589f1a1fb6604d20d903c7a3  _tmp
[root@docker110 docker]# ls devicemapper/devicemapper/
data  metadata
[root@docker110 docker]# ls image
devicemapper
[root@docker110 docker]# ls image/devicemapper/
distribution  imagedb  layerdb  repositories.json
[root@docker110 docker]# du -h
0	./tmp
84K	./devicemapper/metadata
1.8G	./devicemapper/devicemapper
0	./devicemapper/mnt/23286f48d129813de8a7ad5c6e93ec65426c59ab556156b1073c060463f391c2
0	./devicemapper/mnt/cbee5247e891f1c2f1bbc6900140eac0b57379c0730620b93e36b4503aa8ed84
0	./devicemapper/mnt/b88cfb2ab04b99cae2a680dc4d6df0c4b60d08ed94cf5c5054c2cc240ab5c89b
0	./devicemapper/mnt/f6f65ab94dc88736497dbd2e7d45bc81b7890957e8d8380b250144de8bbce384
0	./devicemapper/mnt/622e17bfb07df566b80bb841a80ce55eb175ee8fae02040528c62901e81ab08e
0	./devicemapper/mnt/c400bf2459b2c3621f13ab846451436339d9007d589f1a1fb6604d20d903c7a3
0	./devicemapper/mnt/8c87d07c0fd8b1aed0cc3d4679c68d9378eeb8baf8b0530911f6c69f9a51e8c6
0	./devicemapper/mnt/b02f86f012c339479e8657826d0488c726c5d20e72d4f0cd9769fb1e3fec7630
0	./devicemapper/mnt/fade6d358f5efb2ffa6edbed1a0fc42069cec7bde982be83ea1c94c237d02417
0	./devicemapper/mnt/2882c5b19e6ab7d4edeed978e366686e1bdfe30ca25899d4116e01d57ebde5db
0	./devicemapper/mnt/9fce1c51710f6e0414b9bd0b712733a360dbb4ac60fe8c06b780c2decbb8166c
0	./devicemapper/mnt/6ff460a5471f03bfa707472f038e8dd152b74b3736b7674914123fab5d139d34
0	./devicemapper/mnt/6bce6ad2c6a974158db575d1a36d36d0ed05c48eacb28be36003ec56cf166d48
0	./devicemapper/mnt/17bd2058e0c6500de157d98d3acd24c2033a5e235334f6c722f27de9726f24b5
0	./devicemapper/mnt/f854eed3f31f47134fef808751b83e208f95c4713b1de46865eb6a04d8d39a0b
0	./devicemapper/mnt/c453594215e4370541ba0a2a238c9429026de1d1deedf5e5b7442778e428c60f
0	./devicemapper/mnt/7bd6bdb8304610f590ebfd5dbab26e778d35666dc0e631d873f835bf775029e1
4.0K	./devicemapper/mnt
1.8G	./devicemapper
0	./containers
0	./graph/_tmp
480K	./graph/23286f48d129813de8a7ad5c6e93ec65426c59ab556156b1073c060463f391c2
20K	./graph/cbee5247e891f1c2f1bbc6900140eac0b57379c0730620b93e36b4503aa8ed84
20K	./graph/b88cfb2ab04b99cae2a680dc4d6df0c4b60d08ed94cf5c5054c2cc240ab5c89b
20K	./graph/f6f65ab94dc88736497dbd2e7d45bc81b7890957e8d8380b250144de8bbce384
20K	./graph/622e17bfb07df566b80bb841a80ce55eb175ee8fae02040528c62901e81ab08e
20K	./graph/c400bf2459b2c3621f13ab846451436339d9007d589f1a1fb6604d20d903c7a3
192K	./graph/8c87d07c0fd8b1aed0cc3d4679c68d9378eeb8baf8b0530911f6c69f9a51e8c6
20K	./graph/b02f86f012c339479e8657826d0488c726c5d20e72d4f0cd9769fb1e3fec7630
20K	./graph/fade6d358f5efb2ffa6edbed1a0fc42069cec7bde982be83ea1c94c237d02417
124K	./graph/2882c5b19e6ab7d4edeed978e366686e1bdfe30ca25899d4116e01d57ebde5db
20K	./graph/9fce1c51710f6e0414b9bd0b712733a360dbb4ac60fe8c06b780c2decbb8166c
20K	./graph/6ff460a5471f03bfa707472f038e8dd152b74b3736b7674914123fab5d139d34
20K	./graph/6bce6ad2c6a974158db575d1a36d36d0ed05c48eacb28be36003ec56cf166d48
492K	./graph/17bd2058e0c6500de157d98d3acd24c2033a5e235334f6c722f27de9726f24b5
32K	./graph/f854eed3f31f47134fef808751b83e208f95c4713b1de46865eb6a04d8d39a0b
624K	./graph/c453594215e4370541ba0a2a238c9429026de1d1deedf5e5b7442778e428c60f
2.6M	./graph/7bd6bdb8304610f590ebfd5dbab26e778d35666dc0e631d873f835bf775029e1
4.7M	./graph
0	./volumes
0	./trust
32K	./network/files
32K	./network
0	./image/devicemapper/layerdb/tmp
476K	./image/devicemapper/layerdb/sha256/42755cf4ee95900a105b4e33452e787026ecdefffcc1992f961aa286dc3f7f95
20K	./image/devicemapper/layerdb/sha256/05c493b8ff6b0a45d833c1dfb92021043d82b63d14243fd0ab06b35124809475
500K	./image/devicemapper/layerdb/sha256
500K	./image/devicemapper/layerdb
12K	./image/devicemapper/imagedb/content/sha256
12K	./image/devicemapper/imagedb/content
4.0K	./image/devicemapper/imagedb/metadata/sha256/fb435671a96a6fa6714ea1b52e304a123c06691622050c04afd7edf990c4f1e4
4.0K	./image/devicemapper/imagedb/metadata/sha256
4.0K	./image/devicemapper/imagedb/metadata
16K	./image/devicemapper/imagedb
12K	./image/devicemapper/distribution/v2metadata-by-diffid/sha256
12K	./image/devicemapper/distribution/v2metadata-by-diffid
12K	./image/devicemapper/distribution/diffid-by-digest/sha256
12K	./image/devicemapper/distribution/diffid-by-digest
24K	./image/devicemapper/distribution
544K	./image/devicemapper
544K	./image
1.9G	.
[root@docker110 docker]# journalctl -b -u docker

Jun 10 09:11:10 docker110.example.com systemd[1]: Started Docker Application Container Engine.
Jun 10 09:11:32 docker110.example.com systemd[1]: Stopping Docker Application Container Engine...
Jun 10 09:11:32 docker110.example.com systemd[1]: Stopped Docker Application Container Engine.
Jun 10 09:12:26 docker110.example.com systemd[1]: Starting Docker Application Container Engine...
Jun 10 09:12:26 docker110.example.com forward-journal[18004]: Forwarding stdin to journald using Priority Informational and tag docker
Jun 10 09:12:26 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:26.710506435-04:00" level=warning msg="Usage of loopback devices is strongly discouraged for production use. Please use `--storage-opt dm.thinpooldev` or use `man do
Jun 10 09:12:27 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:27.901924763-04:00" level=info msg="Firewalld running: false"
Jun 10 09:12:27 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:27.938781715-04:00" level=info msg="Default bridge (docker0) is assigned with an IP address 172.17.0.1/16. Daemon option --bip can be used to set a preferred IP addr
Jun 10 09:12:28 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:28.030033531-04:00" level=info msg="Loading containers: start."
Jun 10 09:12:28 docker110.example.com forward-journal[18004]: 
Jun 10 09:12:28 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:28.030191508-04:00" level=info msg="Loading containers: done."
Jun 10 09:12:28 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:28.030529336-04:00" level=info msg="Daemon has completed initialization"
Jun 10 09:12:28 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:28.030563957-04:00" level=info msg="Docker daemon" commit="ab77bde/1.9.1" execdriver=native-0.2 graphdriver=devicemapper version=1.9.1
Jun 10 09:12:28 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:28.043962818-04:00" level=info msg="API listen on /var/run/docker.sock"
Jun 10 09:12:28 docker110.example.com systemd[1]: Started Docker Application Container Engine.
Jun 10 09:12:38 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:38.109307099-04:00" level=info msg="{Action=create, Username=cloud-user, LoginUID=1000, PID=18066}"
Jun 10 09:12:38 docker110.example.com forward-journal[18004]: time="2016-06-10T09:12:38.808301148-04:00" level=warning msg="Error getting v2 registry: endpoint does not support v2 API"
Jun 10 09:13:20 docker110.example.com forward-journal[18004]: time="2016-06-10T09:13:20.523926896-04:00" level=info msg="{Action=create, Username=cloud-user, LoginUID=1000, PID=18269}"
Jun 10 09:13:21 docker110.example.com forward-journal[18004]: time="2016-06-10T09:13:21.274611455-04:00" level=warning msg="Error getting v2 registry: endpoint does not support v2 API"
Jun 10 09:14:02 docker110.example.com forward-journal[18004]: time="2016-06-10T09:14:02.742779332-04:00" level=info msg="{Action=create, Username=cloud-user, LoginUID=1000, PID=18314}"
Jun 10 09:14:03 docker110.example.com forward-journal[18004]: time="2016-06-10T09:14:03.430595837-04:00" level=warning msg="Error getting v2 registry: endpoint does not support v2 API"
Jun 10 09:17:18 docker110 forward-journal[18004]: time="2016-06-10T09:17:18.345866664-04:00" level=error msg="Handler for GET /v1.21/containers/docker.io/httpd/json returned error: no such id: docker.io/httpd"
Jun 10 09:17:18 docker110 forward-journal[18004]: time="2016-06-10T09:17:18.345905615-04:00" level=error msg="HTTP Error" err="no such id: docker.io/httpd" statusCode=404
Jun 10 09:18:22 docker110 systemd[1]: Stopping Docker Application Container Engine...
Jun 10 09:18:22 docker110 systemd[1]: Starting Docker Application Container Engine...
Jun 10 09:18:22 docker110 forward-journal[18518]: Forwarding stdin to journald using Priority Informational and tag docker
Jun 10 09:18:22 docker110 forward-journal[18518]: time="2016-06-10T09:18:22.416620153-04:00" level=warning msg="devmapper: Usage of loopback devices is strongly discouraged for production use. Please use `--storage-opt dm.thinpooldev` or use `man doc
Jun 10 09:18:22 docker110 forward-journal[18518]: time="2016-06-10T09:18:22.453985025-04:00" level=warning msg="devmapper: Base device already exists and has filesystem xfs on it. User specified filesystem  will be ignored."
Jun 10 09:18:22 docker110 forward-journal[18518]: time="2016-06-10T09:18:22.481918889-04:00" level=info msg="[graphdriver] using prior storage driver \"devicemapper\""
Jun 10 09:18:22 docker110 forward-journal[18518]: time="2016-06-10T09:18:22.675574481-04:00" level=info msg="calculated checksum for layer f854eed3f31f47134fef808751b83e208f95c4713b1de46865eb6a04d8d39a0b: sha256:5f70bf18a086007016e948b04aed3b82103a36
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.000495650-04:00" level=info msg="calculated checksum for layer 17bd2058e0c6500de157d98d3acd24c2033a5e235334f6c722f27de9726f24b5: sha256:42755cf4ee95900a105b4e33452e787026ecde
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.002929308-04:00" level=info msg="migrated layer 17bd2058e0c6500de157d98d3acd24c2033a5e235334f6c722f27de9726f24b5 to sha256:42755cf4ee95900a105b4e33452e787026ecdefffcc1992f961
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.005085131-04:00" level=info msg="migrated image 17bd2058e0c6500de157d98d3acd24c2033a5e235334f6c722f27de9726f24b5 to sha256:3e3d05ae4ce73068862b9652b8fdc728d73fed403dffaf95e52
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.007727558-04:00" level=info msg="migrated layer f854eed3f31f47134fef808751b83e208f95c4713b1de46865eb6a04d8d39a0b to sha256:5f70bf18a086007016e948b04aed3b82103a36bea41755b6cdd
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.011436208-04:00" level=info msg="migrated image f854eed3f31f47134fef808751b83e208f95c4713b1de46865eb6a04d8d39a0b to sha256:fb435671a96a6fa6714ea1b52e304a123c06691622050c04afd
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.016359682-04:00" level=info msg="Graph migration to content-addressability took 3.53 seconds"
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.035359945-04:00" level=info msg="Firewalld running: false"
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.148063735-04:00" level=info msg="Default bridge (docker0) is assigned with an IP address 172.17.0.0/16. Daemon option --bip can be used to set a preferred IP address"
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.255289911-04:00" level=info msg="Loading containers: start."
Jun 10 09:18:26 docker110 forward-journal[18518]: 
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.255346723-04:00" level=info msg="Loading containers: done."
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.255360298-04:00" level=info msg="Daemon has completed initialization"
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.255374667-04:00" level=info msg="Docker daemon" commit=7528fb1-unsupported execdriver=native-0.2 graphdriver=devicemapper version=1.10.3
Jun 10 09:18:26 docker110 forward-journal[18518]: time="2016-06-10T09:18:26.269932877-04:00" level=info msg="API listen on /var/run/docker.sock"
Jun 10 09:18:26 docker110 systemd[1]: Started Docker Application Container Engine.
[root@docker110 docker]# docker images
REPOSITORY          TAG                 IMAGE ID            CREATED             SIZE
<none>              <none>              fb435671a96a        15 hours ago        125.1 MB
[root@docker110 docker]# docker inspect fb435671a96a
[
    {
        "Id": "sha256:fb435671a96a6fa6714ea1b52e304a123c06691622050c04afd7edf990c4f1e4",
        "RepoTags": [],
        "RepoDigests": [],
        "Parent": "sha256:3e3d05ae4ce73068862b9652b8fdc728d73fed403dffaf95e52fc4ad67394107",
        "Comment": "",
        "Created": "2016-06-09T21:28:43.776404816Z",
        "Container": "2f3dcd897cf758418389d50784c73b43b1fd7db09a80826329496f05eef7b377",
        "ContainerConfig": {
            "Hostname": "6250540837a8",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": false,
            "AttachStderr": false,
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
            ],
            "Cmd": [
                "/bin/sh",
                "-c",
                "#(nop) CMD [\"/bin/bash\"]"
            ],
            "Image": "sha256:bc72daf35c85f4b33282c485a38c884651137995e6bd91b78d9e975d3d12b439",
            "Volumes": null,
            "WorkingDir": "",
            "Entrypoint": null,
            "OnBuild": null,
            "Labels": {}
        },
        "DockerVersion": "1.10.3",
        "Author": "",
        "Config": {
            "Hostname": "6250540837a8",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": false,
            "AttachStderr": false,
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
            ],
            "Cmd": [
                "/bin/bash"
            ],
            "Image": "sha256:bc72daf35c85f4b33282c485a38c884651137995e6bd91b78d9e975d3d12b439",
            "Volumes": null,
            "WorkingDir": "",
            "Entrypoint": null,
            "OnBuild": null,
            "Labels": {}
        },
        "Architecture": "amd64",
        "Os": "linux",
        "Size": 125067347,
        "VirtualSize": 125067347,
        "GraphDriver": {
            "Name": "devicemapper",
            "Data": {
                "DeviceId": "16",
                "DeviceName": "docker-253:1-8408576-f854eed3f31f47134fef808751b83e208f95c4713b1de46865eb6a04d8d39a0b",
                "DeviceSize": "107374182400"
            }
        }
    }
]
[root@docker110 docker]#

Comment 4 Antonio Murdaca 2016-06-10 13:42:30 UTC
Just provisioned a fresh rhel72 vm:

- installed docker 1.9
- pulled rhel-tools
- docker images on 1.9 correctly lists rhel-tools image and tag
- yum upgrade to docker 1.10.3
- docker images on 1.10 correctly lists rhel-tools image and tag

cannot reproduce, let me try with images from docker.io

Comment 5 Jonathan Lebon 2016-06-10 14:38:49 UTC
Hmm, also not able to reproduce here. Tried both with letting the daemon do the migration and with doing the migration with the migrator tool ahead of time.

Comment 6 David Darrah/Red Hat QE 2016-06-10 14:52:43 UTC
I also started with a fresh rhel7.2 vm and it works fine.  Broken vm had some additional atomic tools on it - Atomic cli 1.10, skopeo, etc.  Tried installing some of them to see if it broke things and could not reproduce.

Here is the full list of working vs. broken rpms - maybe something will jump out:

[root@docker110 ~]# diff broken_rpmlist working_rpmlist 
2c2
< atomic-1.10.3-2.el7.x86_64
---
> atomic-1.10.5-3.el7.x86_64
10c10
< bash-4.2.46-19.el7.sjis.1.x86_64
---
> bash-4.2.46-19.el7.x86_64
17a18,19
> cairo-1.14.2-1.el7.x86_64
> cairo-gobject-1.14.2-1.el7.x86_64
19c21
< chkconfig-1.3.61-5.el7.x86_64
---
> chkconfig-1.3.61-5.el7_2.1.x86_64
23c25
< coreutils-8.22-15.el7_2.1.sjis.1.x86_64
---
> coreutils-8.22-15.el7_2.1.x86_64
24a27
> cpp-4.8.5-4.el7.x86_64
59d61
< dwz-0.11-3.el7.x86_64
62d63
< elfutils-0.163-3.el7.x86_64
73a75,76
> fontconfig-2.10.95-7.el7.x86_64
> fontpackages-filesystem-1.44-8.el7.noarch
76c79
< gdb-7.6.1-80.el7.x86_64
---
> gcc-4.8.5-4.el7.x86_64
80d82
< git-1.8.3.1-6.el7_2.1.x86_64
82,83c84,87
< glibc-2.17-106.el7_2.4.x86_64
< glibc-common-2.17-106.el7_2.4.x86_64
---
> glibc-2.17-106.el7_2.6.x86_64
> glibc-common-2.17-106.el7_2.6.x86_64
> glibc-devel-2.17-106.el7_2.6.x86_64
> glibc-headers-2.17-106.el7_2.6.x86_64
88a93,96
> golang-1.4.2-9.el7.x86_64
> golang-pkg-bin-linux-amd64-1.4.2-9.el7.x86_64
> golang-pkg-linux-amd64-1.4.2-9.el7.noarch
> golang-src-1.4.2-9.el7.noarch
117,119c125,128
< kernel-3.10.0-327.13.1.el7.x86_64
< kernel-tools-3.10.0-327.13.1.el7.x86_64
< kernel-tools-libs-3.10.0-327.13.1.el7.x86_64
---
> kernel-3.10.0-327.18.2.el7.x86_64
> kernel-headers-3.10.0-327.18.2.el7.x86_64
> kernel-tools-3.10.0-327.18.2.el7.x86_64
> kernel-tools-libs-3.10.0-327.18.2.el7.x86_64
125c134
< kpartx-0.4.9-85.el7_2.1.x86_64
---
> kpartx-0.4.9-85.el7_2.4.x86_64
127c136
< less-458-9.el7.sjis.1.x86_64
---
> less-458-9.el7.x86_64
143a153
> libdrm-2.4.60-3.el7.x86_64
150d159
< libgnome-keyring-3.8.0-3.el7.x86_64
153c162
< libgudev1-219-19.el7_2.7.x86_64
---
> libgudev1-219-19.el7_2.9.x86_64
159c168,169
< libndp-1.2-4.el7.x86_64
---
> libmpc-1.0.1-3.el7.x86_64
> libndp-1.2-6.el7_2.x86_64
167a178
> libpciaccess-0.13.4-2.el7.x86_64
168a180
> libpng-1.5.13-7.el7_2.x86_64
187c199
< libtevent-0.9.26-1.el7_2.x86_64
---
> libtevent-0.9.26-1.el7_2.1.x86_64
194a207,213
> libX11-1.6.3-2.el7.x86_64
> libX11-common-1.6.3-2.el7.noarch
> libXau-1.0.8-2.1.el7.x86_64
> libxcb-1.11-4.el7.x86_64
> libXdamage-1.1.4-4.1.el7.x86_64
> libXext-1.3.3-3.el7.x86_64
> libXfixes-5.0.1-2.1.el7.x86_64
196a216,217
> libXrender-0.9.8-2.1.el7.x86_64
> libxshmfence-1.2-1.el7.x86_64
197a219
> libXxf86vm-1.1.3-2.1.el7.x86_64
208a231,234
> mesa-libEGL-10.6.5-3.20150824.el7.x86_64
> mesa-libgbm-10.6.5-3.20150824.el7.x86_64
> mesa-libGL-10.6.5-3.20150824.el7.x86_64
> mesa-libglapi-10.6.5-3.20150824.el7.x86_64
210a237
> mpfr-3.1.1-4.el7.x86_64
235,238d261
< openscap-1.2.5-3.el7.x86_64
< openscap-engine-sce-1.2.5-3.el7.x86_64
< openscap-scanner-1.2.5-3.el7.x86_64
< openscap-utils-1.2.5-3.el7.x86_64
250d272
< patch-2.7.1-8.el7.x86_64
252,284c274
< pcre-8.32-15.el7.x86_64
< perl-5.16.3-286.el7.x86_64
< perl-Carp-1.26-244.el7.noarch
< perl-constant-1.27-2.el7.noarch
< perl-Encode-2.51-7.el7.x86_64
< perl-Error-0.17020-2.el7.noarch
< perl-Exporter-5.68-3.el7.noarch
< perl-File-Path-2.09-2.el7.noarch
< perl-File-Temp-0.23.01-3.el7.noarch
< perl-Filter-1.49-3.el7.x86_64
< perl-Getopt-Long-2.40-2.el7.noarch
< perl-Git-1.8.3.1-6.el7_2.1.noarch
< perl-HTTP-Tiny-0.033-3.el7.noarch
< perl-libs-5.16.3-286.el7.x86_64
< perl-macros-5.16.3-286.el7.x86_64
< perl-parent-0.225-244.el7.noarch
< perl-PathTools-3.40-5.el7.x86_64
< perl-Pod-Escapes-1.04-286.el7.noarch
< perl-podlators-2.5.1-3.el7.noarch
< perl-Pod-Perldoc-3.20-4.el7.noarch
< perl-Pod-Simple-3.28-4.el7.noarch
< perl-Pod-Usage-1.63-3.el7.noarch
< perl-Scalar-List-Utils-1.27-248.el7.x86_64
< perl-Socket-2.010-4.el7.x86_64
< perl-srpm-macros-1-8.el7.noarch
< perl-Storable-2.45-3.el7.x86_64
< perl-TermReadKey-2.30-20.el7.x86_64
< perl-Text-ParseWords-3.29-4.el7.noarch
< perl-Thread-Queue-3.02-2.el7.noarch
< perl-threads-1.87-4.el7.x86_64
< perl-threads-shared-1.43-6.el7.x86_64
< perl-Time-HiRes-1.9725-3.el7.x86_64
< perl-Time-Local-1.2300-2.el7.noarch
---
> pcre-8.32-15.el7_2.1.x86_64
285a276
> pixman-0.32.6-3.el7.x86_64
295a287
> pycairo-1.8.10-8.el7.x86_64
296a289
> pygobject3-3.14.0-3.el7.x86_64
325c318
< python-perf-3.10.0-327.13.1.el7.x86_64
---
> python-perf-3.10.0-327.18.2.el7.x86_64
348d340
< redhat-rpm-config-9.1.0-68.el7.noarch
360d351
< rpm-build-4.11.3-17.el7.x86_64
362d352
< rpmdevtools-8.3-5.el7.noarch
367c357
< sed-4.2.2-5.el7.sjis.1.x86_64
---
> sed-4.2.2-5.el7.x86_64
374c364
< skopeo-0.1.13-2.el7.x86_64
---
> skopeo-0.1.13-3.el7.x86_64
380,382c370,372
< systemd-219-19.el7_2.7.x86_64
< systemd-libs-219-19.el7_2.7.x86_64
< systemd-sysv-219-19.el7_2.7.x86_64
---
> systemd-219-19.el7_2.9.x86_64
> systemd-libs-219-19.el7_2.9.x86_64
> systemd-sysv-219-19.el7_2.9.x86_64
392d381
< unzip-6.0-15.el7.x86_64
409d397
< zip-3.0-11.el7.x86_64

Comment 7 Antonio Murdaca 2016-06-10 15:06:44 UTC
skopeo does not interact with /var/lib/docker - atomic cli could probably but I'm not sure if it's playing a role here. The issue here may be something related to docker-latest but since you cannot reproduce anymore I'm not sure how to tackle this either. Probably the vm was in a really bad state after experimenting something and now it's totally broken.

Last things you could do on the broken vm:

$ systemctl stop docker
$ systemctl stop docker-latest
$ yum remove docker* (remove all docker, docker-latest, docker-common etc etc)

# disable brew extra repository (also I made your first comment private since it contains internal information)

$ yum install docker (1.9)
$ systemctl start docker
$ docker pull ubuntu
$ docker pull debian
$ docker images (should work)

# enable brew extra repo

$ yum upgrade docker
$ yum install docker-latest (ick)
$ docker images (see if it works)

If it works I'm going to close this since I don't think we can do anything :(

Comment 8 David Darrah/Red Hat QE 2016-06-10 15:35:01 UTC
Followed these steps

1) yum erased docker, docker-latest, docker-common, docker-rhel-push-plugin, docker-forward-journald, python-docker-py, docker-selinux

2) removed /var/lib/docker (/var/lib/docker-latest was already gone)

3) verified there were no docker related files in /etc/sysconfig

4) rebooted

5) disabled the brew yum repo

6) installed docker via yum

7) pulled images from docker.io and red hat

8) enabled brew repo

9) upgraded docker to 1.10

everything worked fine.

Comment 9 Antonio Murdaca 2016-06-10 15:41:04 UTC
I assume it was just a bad configured vm somehow probably after many experiments - given the packages you tried in the first comment are pretty old also (docker-latest build 22 is old) and the new ones work correctly I'm gonna close this bug.
Looking forward to reproduce in some way though.

Comment 10 Micah Abbott 2016-06-14 18:23:15 UTC
I observed this issue using RHELAH 7.2.4 and upgrading to the 7.2.5 release.

The 'docker' package was upgraded from 1.9.1-40 to 1.10.3-40.

Nothing exotic or interesting about my setup, AFAIK.  Been trying to come up with a reproducer without luck.

Seems like something is lingering here, but will be hard to nail down.

Comment 11 Lokesh Mandvekar 2016-06-14 18:43:25 UTC
re-opening given Comment 10

Comment 12 Lokesh Mandvekar 2016-06-16 18:29:47 UTC
(In reply to Micah Abbott from comment #10)
> I observed this issue using RHELAH 7.2.4 and upgrading to the 7.2.5 release.
> 
> The 'docker' package was upgraded from 1.9.1-40 to 1.10.3-40.
> 
> Nothing exotic or interesting about my setup, AFAIK.  Been trying to come up
> with a reproducer without luck.
> 
> Seems like something is lingering here, but will be hard to nail down.

Micah I just spun up an OS1 instance using the _OS1_rhel-atomic-host-7.qcow2 image. It earlier had docker-1.4 and on rpm-ostree upgrade it got docker 1.10.3.


BEFORE (docker-1.4)

REPOSITORY                         TAG                 IMAGE ID           CREATED             VIRTUAL SIZE
registry.access.redhat.com/rhel7   latest              c453594215e4        6 weeks ago         203.4 MB
registry.access.redhat.com/rhel7   7.2                 c453594215e4        6 weeks ago         203.4 MB
registry.access.redhat.com/rhel7   7.2-61              c453594215e4        6 weeks ago         203.4 MB



AFTER: (docker-1.10.3)

REPOSITORY                         TAG                 IMAGE ID            CREATED             SIZE
registry.access.redhat.com/rhel7   7.2                 bf2034427837        6 weeks ago         203.4 MB
registry.access.redhat.com/rhel7   7.2-61              bf2034427837        6 weeks ago         203.4 MB
registry.access.redhat.com/rhel7   latest              bf2034427837        6 weeks ago         203.4 MB


Note You need to log in before you can comment on or make changes to this bug.